none
Odd 3.5 / 3.0SP1 Framework Install Error RRS feed

  • Question

  • I have tried several ways to install the new (as of January 31st) update for the .NET Framework 3.5.  Initially I tried installing through Windows Update and got the following message:

    Code 643: Windows Update encountered an unknown error.

    I then tried to install the SP manually using an installed package, but the log file displayed this odd message:


    [02/01/09,11:30:06] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code 1
    [02/01/09,11:30:06] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code 1
    [02/01/09,11:30:08] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.0SP1 (CBS) is not installed.
    [02/01/09,11:48:48] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code 1

    The reason this is odd is because, as far as I can tell, I do have .NET 3.0SP1 installed.  I tried reinstalling 3.0SP1, but I got the error "This update does not apply to this system".

    Running the batch file gives me this:

    >NetFx35_detect_issues.bat %systemroot%\Microsoft.NET\Framework

    THE FOLLOWING SCRIPT will check to make sure that .NET Framework 3.5
    is installed properly and will tell you what is not configured appropriately
    WINDOWS VERSION: 6.0.6001
    EVERYTHING IS INSTALLED AND CONFIGURED APPROPRIATELY

    Sunday, February 1, 2009 6:26 PM

All replies

  • Have you ever install beta version of .NET Framework? 

    What is your Windows version?

    Can you please use the new .NET Framework Setup Verification Tool: http://blogs.msdn.com/astebner/pages/8999004.aspx to check again?

    Thanks.


    Please remember to mark the replies as answers if they help and unmark them if they provide no help. http://forums.msdn.microsoft.com/en-US/vssetup/thread/60424309-bd78-4ca2-b618-03c4a16123b6
    Tuesday, February 3, 2009 3:58 AM
  • Windows version: Microsoft Vista SP1

    I ran that utility, which informed me I don't have 2.0 SP2 or 3.0 SP2 installed, but when I tried downloading them from:

    http://www.microsoft.com/downloads/details.aspx?familyid=B9DE7937-2C12-4F16-AD66-A31B83931953&displaylang=en&displaylang=en

    And installing them, I got the message "This update does not apply to your system."

    Friday, February 6, 2009 3:25 AM
  • MrDjinn said:

    Windows version: Microsoft Vista SP1

    I ran that utility, which informed me I don't have 2.0 SP2 or 3.0 SP2 installed, but when I tried downloading them from:

    http://www.microsoft.com/downloads/details.aspx?familyid=B9DE7937-2C12-4F16-AD66-A31B83931953&displaylang=en&displaylang=en

    And installing them, I got the message "This update does not apply to your system."



    Vista SP1 has included .NET 2.0 sp1 and 3.0 sp1.
    .NET 2.0 sp2 and .NET 3.0 sp2 updates are included in .NET Framework 3.5 sp1.
    "This update does not apply to your system." means you got the wrong install order or a wrong patches (there are x86 or x64 patches)

    Before we begin to troubleshoot the problem, several points (especially point 4)you may check out here before installing again:
    1. Launch the setup with elevated permission by "run as Administrator".
    2. Set exception rules for VS setup or turn off Anti-Virus or spy-ware.
    3. Simply reboot the machine, to eliminate the problem that some system directory/files may be locked by Windows Updates(which means update doesn't complete yet.)
    4. Turn on the .NET Framework feature on Vista. (via Control Panel->Programs and Features->Turn Windows Features On or Off > Microsoft .Net Framework 3.0)


    If still got problem, please use the collect tool: http://blogs.msdn.com/heaths/archive/2008/05/09/visual-studio-and-net-log-collection-utility.aspx and upload via skydrive.live.com with a download link here.

    Thanks.


    thanks.
    Please remember to mark the replies as answers if they help and unmark them if they provide no help. http://forums.msdn.microsoft.com/en-US/vssetup/thread/60424309-bd78-4ca2-b618-03c4a16123b6
    • Edited by Figo Fei Friday, February 6, 2009 7:10 AM typo
    Friday, February 6, 2009 3:42 AM
  • As for the link: http://www.microsoft.com/downloads/details.aspx?familyid=B9DE7937-2C12-4F16-AD66-A31B83931953&displaylang=en&displaylang=en
    You're on x86 machine, right?

    I see the log records that the last action before the error occurred was 
    [02/01/09,11:29:48] Microsoft .NET Framework 3.0SP1 (CBS): CBSComponent Action: CreateProcess launched with cmd line : C:\Windows\system32\WUSA.exe "C:\Windows\system32\WUSA.exe" "C:\Users\JeremyF\AppData\Local\Temp\dotnetfx3530729.01\1033\dotnetmsp\x86\NetFX3.0-KB948610-v6001-x86.msu" /quiet /norestart
    [02/01/09,11:29:48] BWaitForMSI(): Verifying we're the only installation currently in progress.

    So, please make sure that we run one setup at one time.
    And .NET 3.0 sp2 update(NetFX3.0-KB948610-v6001-x86.msu) also failed.
    You can try to extract the .NET Framework 3.5 sp1 package(use /x command argument or use some compression tool such as winrar), try to locate the \dotnetmsp\x86\NetFX3.0-KB948610-v6001-x86.msu and manually install this patch.

    Thanks.


    Please remember to mark the replies as answers if they help and unmark them if they provide no help. http://forums.msdn.microsoft.com/en-US/vssetup/thread/60424309-bd78-4ca2-b618-03c4a16123b6
    • Marked as answer by Figo Fei Monday, February 9, 2009 3:00 AM
    • Unmarked as answer by MrDjinn Thursday, March 5, 2009 5:29 AM
    Friday, February 6, 2009 7:29 AM